import { jsx } from "react/jsx-runtime";
import { Rabbit as Rabbit$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Rabbit = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Rabbit", ...props, children: /* @__PURE__ */ jsx(Rabbit$1, { weight: variant }) });
  }
);
Rabbit.displayName = "Rabbit";
Object.assign(Rabbit, { isGdsIcon: true });
export {
  Rabbit
};
